Bug 826448 - SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from read, write access on the chr_file nvidiactl.
SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from rea...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:db09920afe2d59ec15dcd4c9ad0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 04:36 EDT by david.minster
Modified: 2012-06-03 19:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-03 19:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david.minster 2012-05-30 04:36:52 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Wed 30 May 2012 10:36:01 AM SAST

description:
:SELinux is preventing /usr/libexec/gstreamer-0.10/gst-plugin-scanner from read, write access on the chr_file nvidiactl.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that gst-plugin-scanner should be allowed read write access on the nvidiactl chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep gst-plugin-scan /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:xserver_misc_device_t:s0
:Target Objects                nvidiactl [ chr_file ]
:Source                        gst-plugin-scan
:Source Path                   /usr/libexec/gstreamer-0.10/gst-plugin-scanner
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           gstreamer-0.10.36-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-125.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc17.x86_64 #1 SMP Mon
:                              May 21 22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   6
:First Seen                    Wed 30 May 2012 10:09:00 AM SAST
:Last Seen                     Wed 30 May 2012 10:18:25 AM SAST
:Local ID                      b1852090-5bcf-4aff-8282-cef675ee5be3
:
:Raw Audit Messages
:type=AVC msg=audit(1338365905.77:78): avc:  denied  { read write } for  pid=2033 comm="gst-plugin-scan" name="nvidiactl" dev="devtmpfs" ino=16406 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xserver_misc_device_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1338365905.77:78): arch=x86_64 syscall=open success=no exit=EACCES a0=7fff4e0e7a00 a1=2 a2=7fff4e0e7a0e a3=0 items=0 ppid=2032 pid=2033 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=gst-plugin-scan exe=/usr/libexec/gstreamer-0.10/gst-plugin-scanner subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: gst-plugin-scan,thumb_t,xserver_misc_device_t,chr_file,read,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-05-30 09:26:19 EDT
Fixed in selinux-policy-3.10.0-128.fc17
Comment 2 Fedora Update System 2012-05-31 02:28:13 EDT
selinux-policy-3.10.0-128.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-128.fc17
Comment 3 Fedora Update System 2012-06-01 13:10:11 EDT
Package selinux-policy-3.10.0-128.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-128.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8720/selinux-policy-3.10.0-128.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-03 19:32:37 EDT
selinux-policy-3.10.0-128.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.